Subject: Re: bug#19511: 25.0.50; Failed assertions in redisplay() code. (dispnew.c:1405; xdisp.c:17524)

From: Vitalie Spinu <[email-masked]>
Date: Mon, 05 Jan 2015 08:59:02 -0800

>>> Eli Zaretskii on Mon, 05 Jan 2015 17:58:05 +0200 wrote:

[...]

> I hope Polymode will be changed to not call bury-buffer in that
> situation (I always thought bury-buffer is strictly for interactive
> use, FWIW).

Bury-buffer is used to "hide" from the indirect buffer from the
user. That was the easiest way to implement that and should have been
rewritten anyways.

Removing it doesn't change the fact that buffers are switched
(with-current-buffer ...) inside font-lock-fontify-region-function. But
I guess that's not an issue (right?).

Would it be enough to remove `bury-buffer` call to get back the
optimization? What are other elisp functions that can potentially
invalidate window_end?

Thanks,

  Vitalie